[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadBinaryStream

Read binary data

## Declaration

Source position: inifiles.pp line 144

`public function TCustomIniFile.ReadBinaryStream(`
`const Section: string;`
`const Name: string;`
`Value: TStream`
`):Integer; virtual;`

## Arguments

`Section` |  | Section to read Name from
`Name` |  | Name of key to retrieve value from
`Value` |  | Stream to write data to.

## Function result

Number of bytes written to Value

## Description

ReadBinaryStream reads the key Name in section Section, and returns the value in the stream Value. If the specified key or section do not exist, then the contents of Value are left untouched. The stream is not cleared prior to adding data to it.

The data is interpreted as a series of 2-byte hexadecimal values, each representing a byte in the data stream, i.e, it should always be an even number of hexadecimal characters.

## See also

WriteBinaryStream |  | Write binary data
ReadInteger |  | Read an integer value from the file
ReadBool |  |
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadString |  | Read a string valued key

Documentation generated on: Feb 26 2014